Skip to main content
POST
Kling V2.5 Turbo Image-to-Video
Kling 2.5 Turbo Image-to-Video can generate cinematic videos from a single image and prompt, with smooth motion and high fidelity to the intended content. Features a new text-temporal engine, enhanced motion performance, and faster inference speed.
This is an async API that only returns the task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format: Bearer {{API Key}}.

Request Body

image
string
required
First frame image for the video. Supported image formats include .jpg, .jpeg, .png. Image file size must not exceed 10MB, with a minimum resolution of 300*300 pixels.
prompt
string
required
Positive prompt text for video generation. Must not exceed 2500 characters.
duration
string
default:"5"
Duration of the generated video (in seconds).Possible values: 5, 10
cfg_scale
number
Controls the flexibility of video generation. Higher values make the generated content adhere more closely to the prompt, with less creative freedom.Range: 0 to 1
mode
string
default:"pro"
Video generation mode. Possible values:
  • pro: Professional mode
negative_prompt
string
Negative prompt to specify content to avoid in the generation. Must not exceed 2500 characters.

Response

task_id
string
required
The task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.